Does vtst supports vasp6.2.0?

Vasp transition state theory tools

Moderator: moderators

Post Reply
psn417
Posts: 2
Joined: Mon May 17, 2021 6:56 am

Does vtst supports vasp6.2.0?

Post by psn417 »

Hi! I am using the vtstcode-180 with vasp6.2.0. After I compile it, i do a structure relaxation job (it does not relate with vtst). Then vasp give some error massage such as
forrtl: severe (174): SIGSEGV, segmentation fault occurred
Image PC Routine Line Source
vasp_std 0000000001CF744D Unknown Unknown Unknown
libpthread-2.17.s 00002AF7E91AB630 Unknown Unknown Unknown
vasp_std 0000000000AC9D07 Unknown Unknown Unknown
vasp_std 0000000001AC0801 Unknown Unknown Unknown
vasp_std 000000000040C91E Unknown Unknown Unknown
libc-2.17.so 00002AF7E96DC555 __libc_start_main Unknown Unknown
vasp_std 000000000040C829 Unknown Unknown Unknown

The relaxation job failed after the first ionic step.

If I do not install vtst, the job can finish normally. So I think there is something wrong with vtst. Does vtst support vasp6.2.0?
graeme
Site Admin
Posts: 1998
Joined: Tue Apr 26, 2005 4:25 am
Contact:

Re: Does vtst supports vasp6.2.0?

Post by graeme »

You have to make one additional small change in main.F. On line 889, change:

IF (LCHAIN) CALL chain_init( T_INFO, IO)

to

CALL chain_init( T_INFO, IO)

I should have added that to the installation instructions - I'll do that now.
psn417
Posts: 2
Joined: Mon May 17, 2021 6:56 am

Re: Does vtst supports vasp6.2.0?

Post by psn417 »

Thank you for your reply!
Post Reply